INDF0		EQU		000h
POINC0    	EQU		001h
PODEC0    	EQU		002h
PRINC0  		EQU		003h
PLUSW0   		EQU		004h

INDF1   		EQU		005h
POINC1    	EQU		006h
PODEC1    	EQU		007h
PRINC1 	 	EQU		008h
PLUSW1    	EQU		009h
          	   	
FSR0H   		EQU		00fh
FSR0L   		EQU		010h
FSR1H   		EQU		011h
FSR1L   		EQU		012h
          	   	
TOSH    		EQU		016h
TOSL    		EQU		017h
STKPTR  		EQU		018h
	STKFL	EQU		7
	STKUN	EQU		6
	STKOV	EQU		5
	STKPRT4	EQU		4
	STKPRT3	EQU		3
	STKPRT2	EQU		2
	STKPRT1	EQU		1
	STKPRT0	EQU		0
PCLATH    	EQU		01ah
PCLATL    	EQU		01bh
TBLCTRL		EQU		01CH
BIECTRL		EQU		01CH		;FOR Buildin EEPROM emulation H08B
	VPP_HIGH	EQU		3
	BIEWR	EQU		1
	BIERD	EQU		0
TBLPTRH   	EQU		01dh
TBLPTRL   	EQU		01eh
BIEPTRL   	EQU		01eh		;FOR Buildin EEPROM emulation H08B
TBLDH   		EQU		01fh
BIEDH   		EQU		01fh		;FOR Buildin EEPROM emulation H08B
TBLDL   		EQU		020h
BIEDL   		EQU		020h		;FOR Buildin EEPROM emulation H08B
PRODH     	EQU		021h
PRODL     	EQU		022h
             	
INTE1		EQU		023h
	GIE		EQU		7
	ADCIE	EQU		6
	TMCIE	EQU		5
	TMBIE	EQU		4
	TMAIE	EQU		3
	WDTIE	EQU		2
	E1IE		EQU		1
	E0IE		EQU		0
INTE2   		EQU		024h
     TXIE    	EQU       7
     RCIE    	EQU       6
	CPOIE   	EQU		3
	SSPIE   	EQU		2
	CCP1IE  	EQU		1
	CCP0IE  	EQU		0
	
INTE3   		EQU		025h
	E7IE   	EQU		7
	E6IE   	EQU		6
	E5IE   	EQU		5
	E4IE   	EQU		4
	E3IE   	EQU		3
	E2IE   	EQU		2

INTF1   		EQU		026h
	ADCIF	EQU		6
	TMCIF	EQU		5
	TMBIF	EQU		4
	TMAIF	EQU		3
	WDTIF	EQU		2
	E1IF		EQU		1
	E0IF		EQU		0
INTF2   		EQU		027h
     TXIF    	EQU       7
     RCIF    	EQU       6
	CPOIF   	EQU		3
	SSPIF   	EQU		2
	CCP1IF  	EQU		1
	CCP0IF  	EQU		0
INTF3   		EQU		028h
	E7IF   	EQU		7
	E6IF   	EQU		6
	E5IF   	EQU		5
	E4IF   	EQU		4
	E3IF   	EQU		3
	E2IF   	EQU		2
             	
WREG     		EQU		029H
BSRCN    		EQU		02AH
STATUS     	EQU		02BH
	C		EQU		4
	DC		EQU		3
	N		EQU		2
	OV		EQU		1
	Z		EQU		0
PSTATUS 		EQU		02CH
	PD		EQU		7
	TO		EQU		6
	IDLEB	EQU		5
	POR		EQU		4
	SKERR	EQU		2
	
LVDCN		EQU		02DH	
	LVDFG	EQU		6	
	LVD		EQU		5
	LVDON	EQU		4	
	VLDX3	EQU		3			
	VLDX2	EQU		2			
	VLDX1	EQU		1			
	VLDX0	EQU		0			
SBMSET1		EQU		02EH	
	SKRST	EQU		7
	HAOTR5	EQU		5
	HAOTR4	EQU		4
	HAOTR3	EQU		3
	HAOTR2	EQU		2
	HAOTR1	EQU		1
	HAOTR0	EQU		0
PWRCN		EQU		030H
	ENVDDA	EQU		7
	VDDAX1	EQU		6
	VDDAX0	EQU		5
	ENACM	EQU		4
MCKCN1		EQU		031H	
	ADCS2	EQU		7
	ADCS1	EQU		6
	ADCS0	EQU		5
	ADCCK	EQU		4
	XTHSP	EQU		3
	XTSP		EQU		2
	ENXT		EQU		1
	ENHAO	EQU		0
MCKCN2		EQU		032H
	LSCK		EQU		5
	HSCK		EQU		4
	HSS1		EQU		3
	HSS0		EQU		2
	CPUCK1	EQU		1	
	CPUCK0	EQU		0	
MCKCN3		EQU		033H
	LCDS2	EQU		7
	LCDS1	EQU		6
	LCDS0	EQU		5
	PERCK	EQU		3
	BZS2		EQU		2		
	BZS1		EQU		1		
	BZS0		EQU		0		
CPACN1		EQU		034H
	ENCPA	EQU		7
	CSIST	EQU		6
	CPIX		EQU		5
	CPIH1	EQU		4
	CPIH0	EQU		3
	CPIL2	EQU		2
	CPIL1	EQU		1
	CPIL0	EQU		0
CPACN2		EQU		035H
	CPOX		EQU		6
	CPOFR	EQU		5
	CS1		EQU		4
	CPAT		EQU		3	
	CPVCS1	EQU		2	
	CPVCS0	EQU		1	
CPACN3		EQU		036H
	CS2		EQU		4		
	CPVRX3	EQU		3				
	CPVRX2	EQU		2				
	CPVRX1	EQU		1				
	CPVRX0	EQU		0				
OPCN1		EQU		037H
	ENOP		EQU		7	
	OPM1		EQU		6
	OPM0		EQU		5
	OPP1		EQU		4	
	OPP0		EQU		3		
	OPN2		EQU		2		
	OPN1		EQU		1			
	OPN0		EQU		0					
ADCRH		EQU		039H	
ADCRM		EQU		03AH	
ADCRL		EQU		03BH	
ADCCN1		EQU		03CH
	ENADC	EQU		7	
	ENHIGN	EQU		6	
	ENCHP	EQU		5	
	PGAGN1	EQU		4		
	PGAGN0	EQU		3
	ADGN2	EQU		2
	ADGN1	EQU		1
	ADGN0	EQU		0
ADCCN2		EQU		03DH
	INBUF	EQU		5
	VRBUF	EQU		4
	VREGN	EQU		3
	DCSET2	EQU		2
	DCSET1	EQU		1
	DCSET0	EQU		0
ADCCN3		EQU		03EH
	OSR2		EQU		7
	OSR1		EQU		6
	OSR0		EQU		5
AINET1		EQU		03FH
	INH2		EQU		7
	INH1		EQU		6
	INH0		EQU		5	
	INL2		EQU		4		
	INL1		EQU		3
	INL0		EQU		2
	INIS		EQU		1
	OPIS		EQU		0
AINET2		EQU		040H
	VRH1		EQU		6
	VRH0		EQU		5	
	INX1		EQU		4		
	INX0		EQU		3
	VRL1		EQU		2
	VRL0		EQU		1
TMACN		EQU		041H
	ENTMA	EQU		7
	TMACK	EQU		6
	TMAS1	EQU		5
	TMAS0	EQU		4	
	ENWDT	EQU		3
	WDTS2	EQU		2
	WDTS1	EQU		1
	WDTS0	EQU		0
TMAR			EQU		042H
TMBCN		EQU		043H
	ENTMB	EQU		7
	TMBCK	EQU		6
	TMBS1	EQU		5	
	TMBS0	EQU		4		
	TMBSYC	EQU		3
	TMBR2R	EQU		2
TMBRH		EQU		044H
TMBRL		EQU		045H
TMCCN		EQU		046H
	ENTMC	EQU		7
	TMCCK1	EQU		6
	TMCCK0	EQU		5	
	TMCS12	EQU		4
	TMCS11	EQU		3
	TMCS10	EQU		2
	TMCS01	EQU		1
	TMCS00	EQU		0
PRC			EQU		047H
TMCR			EQU		048H
CCPCN		EQU		049H
	CCP1M3	EQU		7
	CCP1M2	EQU		6
	CCP1M1	EQU		5	
	CCP1M0	EQU		4
	CCP0M3	EQU		3
	CCP0M2	EQU		2
	CCP0M1	EQU		1
	CCP0M0	EQU		0
CCP0RH		EQU		04AH
CCP0RL		EQU		04BH
CCP1RH		EQU		04CH
CCP1RL		EQU		04DH
PASC			EQU		04EH
	PASF		EQU		7
	PASCF1	EQU		5	
	PASCF0	EQU		4
	PSS0CN1	EQU		3
	PSS0CN0	EQU		2
	PSS1CN1	EQU		1
	PSS1CN0	EQU		0
PWMCN		EQU		04FH
	ENPWM	EQU		7
	ENPFD	EQU		6
	PWMRL1	EQU		5	
	PWMRL0	EQU		4
	PWMCG1	EQU		3
	PWMCG0	EQU		2
	PWMM1	EQU		1
	PWMM0	EQU		0
PDBD			EQU		050H
	ENPRS	EQU		7
	DBDC6	EQU		6
	DBDC5	EQU		5	
	DBDC4	EQU		4
	DBDC3	EQU		3
	DBDC2	EQU		2
	DBDC1	EQU		1
	DBDC0	EQU		0
PWMR			EQU		051H
LCDCN1		EQU		052H
	ENLCD	EQU		7
	LCDPR	EQU		6
	VLCDX1	EQU		5	
	VLCDX0	EQU		4
	LCDBF	EQU		3
	LCDBI1	EQU		2
	LCDBI0	EQU		1
LCDCN2		EQU		053H
	LCDBL	EQU		7
	LCDMX1	EQU		6
	LCDMX0	EQU		5	
LCD0			EQU		054H
LCD1			EQU		055H
LCD2			EQU		056H
LCD3			EQU		057H
LCD4			EQU		058H
LCD5			EQU		059H
LCD6			EQU		05AH
LCD7			EQU		05BH
LCD8			EQU		05CH
LCD9			EQU		05DH
SSPCON1		EQU 		05EH
	SSPEN	EQU		7
	CKP		EQU		6
	CKE		EQU		5
	SMP		EQU		4
	SSPM1	EQU		1
	SSPM0	EQU		0
SSPSTA    	EQU	   	060H
	SSPBUY	EQU		7
	SSPOV	EQU		6
	BF		EQU		0
SSPBUF    	EQU	   	061H
URCON          EQU		063H
	ENSP     	equ	     7
	ENTX     	equ	     6
	TX9      	equ     	5                       
	TX9D     	equ     	4
	PARITY   	equ     	3
	WUE      	equ     	0
URSTA          EQU       064H
	RC9D     	equ     	6
	PERR     	equ     	5
	FERR     	equ     	4
	OERR     	equ     	3 
	RCIDL    	equ     	2
	TRMT     	equ     	1
	ABDOVF   	equ     	0
BAUDCON        equ       065H
	ENCR     	equ     	3
	RC9      	equ     	2               
	ENADD    	equ     	1
	ENABD    	equ     	0
BRGRH          equ       066H    
BRGRL          equ       067H
TXREG          equ       068H
RCREG          equ       069H
PT4			EQU		06AH
PT4DA		EQU		06BH
PT4PU		EQU		06CH
PT1			EQU		06DH
TRISC1		EQU		06EH
PT1DA		EQU		06FH
PT1PU		EQU		070H
PT1M1		EQU		071H
	INTEG11	EQU		3
	INTEG10	EQU		2
	INTEG01	EQU		1
	INTEG00	EQU		0
PT1M2		EQU		072H
PT1INT		EQU		073H
	INTEG7	EQU		7
	INTEG6	EQU		6
	INTEG5	EQU		5	
	INTEG4	EQU		4
	INTEG3	EQU		3
	INTEG2	EQU		2
PT2			EQU		074H
TRISC2		EQU		075H
PT2DA		EQU		076H
PT2PU		EQU		077H
PT2M1		EQU		078H
PT2M2		EQU		079H
PT3			EQU		07AH
TRISC3		EQU		07BH
PT3PU		EQU		07DH
LCD10		EQU		180H
LCD11		EQU		181H
LCD12		EQU		182H
LCD13		EQU		183H
LCD14		EQU		184H
LCD15		EQU		185H
LCD16		EQU		186H
LCD17		EQU		187H
LCD18		EQU		188H
LCD19		EQU		189H
PT5			EQU		192H
PT5DA		EQU		193H
PT5PU		EQU		194H
BIECTRLA		EQU		195H		;FOR Buildin EEPROM emulation H08A
BIEPTRHA   	EQU		196h		;FOR Buildin EEPROM emulation H08A
BIEPTRLA   	EQU		197h		;FOR Buildin EEPROM emulation H08A
BIEDHA   		EQU		198h		;FOR Buildin EEPROM emulation H08A
BIEDLA   		EQU		199h		;FOR Buildin EEPROM emulation H08A
;===================================================                  	
	W       	EQU 		0
	F   		EQU 		1
	ACCE    	EQU 		0
	A    	EQU 		0
	BANK		EQU		1
	B		EQU		1
	S    	EQU  	1
	bit0		EQU		0
	bit1		EQU		1
	bit2		EQU		2
	bit3		EQU		3
	bit4		EQU		4
	bit5		EQU		5
	bit6		EQU		6
	bit7		EQU		7
